# API Reference

## Get Verification Result Details as JSON

<mark style="color:blue;">`GET`</mark> `https://api.app.authenteq.com/export/verification-result-as-json`

This endpoints returns the verification result details extracted from the user document during identification previously, now accessible by the assigned `ID` and represented as JSON.\
\
This endpoint is authorized with Basic Auth. You should use your `Client ID` and `Client Secret` from the Customer Dashboard as the credentials.

#### Query Parameters

| Name                                             | Type   | Description                                                                                                    |
| ------------------------------------------------ | ------ | -------------------------------------------------------------------------------------------------------------- |
| verificationId<mark style="color:red;">\*</mark> | string | The `id` field extracted from the verification result details you got previously when identification finished. |

#### Headers

| Name                                             | Type   | Description                                                                                         |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | string | Your client credentials combined with a colon separator, base64-encoded and prefixed with "Basic ". |

{% tabs %}
{% tab title="200 The details extracted from the user document." %}

```json
{
  "id": "3631324b-5bcc-48b0-b717-4f12f45e0a1d",
  "platform": "WEB",
  "startTime": "2020-04-10T11:44:40Z",
  "endTime": "2020-04-10T11:47:23Z",
  "livenessFaceImage": {
    "contentType": "image/jpeg",
    "content": "bGl2ZW5lc3NGYWNlSW1hZ2UK",
  },
  "documentData": {
    "documentType": "DL",
    "documentNumber": "1234567890",
    "issuingCountry": "USA",
    "jurisdiction": "UTA",
    "nationality": "USA",
    "surnameAndGivenNames": "DOE JOHN",
    "surname": "DOE",
    "givenNames": "JOHN",
    "nameSuffixes": "MR",
    "namePrefixes": "JR",
    "sex": "M",
    "dateOfBirth": "1964-12-30",
    "dateOfExpiry": "2022-12-30",
    "dateOfIssue": "2012-05-30",
    "address": "430-985 ELEIFEND^DULUTH WA 92611",
    "licenseClass": "B/C/D",
    "licenseClassDetails": {
      "B": {
        "from": "2019-01-30",
        "to": "2029-01-30",
        "notes": "Some valuable note"
      },
      "C": {
        "from": "2019-01-30",
        "to": "2029-01-30"
      },
      "D": {
        "from": "2019-01-30",
        "to": "2029-01-30"
      }
    },
    "croppedFrontImage": {
      "contentType": "image/jpeg",
      "content": "Y3JvcHBlZEZyb250SW1hZ2U="
    },
    "croppedBackImage": {
      "contentType": "image/jpeg",
      "content": "Y3JvcHBlZEJhY2tJbWFnZQ=="
    },
    "faceImage": {
       "contentType": "image/jpeg",
       "content": "ZmFjZUltYWdlCg=="
    }
  },
  "documentData2": {
    ...
  },
  "documentData3": {
    ...
  },
  "nfcVerified": false,
  "addressProofDocument": {
    "contentType": "application/pdf",
    "content": "YWRkcmVzc1Byb29mRG9jdW1lbnQK"
  }
}
```

{% endtab %}

{% tab title="400 The request contains an invalid data." %}
{% tabs %}
{% tab title="Missing Verification ID" %}

```json
{
  "errorCode": "MISSING_REQUEST_PARAMETER",
  "errorMessage": "Required 'verificationId' parameter is missing"
}
```

{% endtab %}

{% tab title="Invalid Verification ID" %}

```json
{
  "errorCode": "INVALID_REQUEST_PARAMETER",
  "errorDescription": "Parameter 'verificationId' has an invalid value"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401 Full authentication is required to get the verification result." %}
{% tabs %}
{% tab title="Missing API Keys" %}

```json
{
  "errorCode": "API_KEYS_MISSING",
  "errorMessage": "No API Keys in the Authorization header"
}
```

{% endtab %}

{% tab title="Invalid API Keys" %}

```json
{
  "errorCode": "API_KEYS_INVALID",
  "errorMessage": "Invalid API Keys in the Authorization header"
}
```

{% endtab %}

{% tab title="Bad API Keys" %}

```json
{
  "errorCode": "API_KEYS_BAD",
  "errorMessage": "Bad API Keys"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403 Your account is deactivated and you can't get the verification result." %}

```json
{
  "errorCode": "ACCOUNT_DEACTIVATED",
  "errorMessage": "Account deactivated. Please contact your Authenteq Sales Representative in order to keep using this service"
}
```

{% endtab %}

{% tab title="404 No verification with the given ID, as it never existed or is removed already." %}

```json
{
  "errorCode": "VERIFICATION_NOT_FOUND",
  "errorMessage": "Verification not found"
}
```

{% endtab %}
{% endtabs %}

## Get Verification Result Details as Multipart

<mark style="color:blue;">`GET`</mark> `https://api.app.authenteq.com/export/verification-result-as-multipart`

This endpoint returns the verification result details extracted from the user document during identification previously, now accessible by the assigned `ID` and represented as multipart MIME message where images from the details are in separate parts.\
\
This endpoint is authorized with Basic Auth. You should use your `Client ID` and `Client Secret` from the Customer Dashboard as the credentials.

#### Query Parameters

| Name                                             | Type   | Description                                                                                                  |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------ |
| verificationId<mark style="color:red;">\*</mark> | string | The id field extracted from the verification result details you got previously when identification finished. |

#### Headers

| Name                                             | Type   | Description                                                                                         |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | string | Your client credentials combined with a colon separator, base64-encoded and prefixed with "Basic ". |

{% tabs %}
{% tab title="200 The details extracted from the user document and represented as multipart MIME message." %}

```
Content-Type: multipart/mixed;boundary=S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="result"; filename="result.json"
Content-Type: application/json

{
  "id": "3631324b-5bcc-48b0-b717-4f12f45e0a1d",
  "platform": "WEB",
  "startTime": "2020-04-10T11:44:40Z",
  "endTime": "2020-04-10T11:47:23Z",
  "documentData": {
    "documentType": "DL",
    "documentNumber": "1234567890",
    "issuingCountry": "USA",
    "jurisdiction": "UTA",
    "nationality": "USA",
    "surnameAndGivenNames": "DOE JOHN",
    "surname": "DOE",
    "givenNames": "JOHN",
    "nameSuffixes": "MR",
    "namePrefixes": "JR",
    "sex": "M",
    "dateOfBirth": "1964-12-30",
    "dateOfExpiry": "2022-12-30",
    "dateOfIssue": "2012-05-30",
    "address": "430-985 ELEIFEND^DULUTH WA 92611",
    "licenseClass": "B/C/D",
    "licenseClassDetails": {
      "B": {
        "from": "2019-01-30",
        "to": "2029-01-30",
        "notes": "Some valuable note"
      },
      "C": {
        "from": "2019-01-30",
        "to": "2029-01-30"
      },
      "D": {
        "from": "2019-01-30",
        "to": "2029-01-30"
      }
    }
  },
  "documentData2": {
    ...
  },
  "documentData3": {
    ...
  },
  "nfcVerified": false
}
--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="livenessFaceImage"; filename="livenessFaceImage.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedFrontImage"; filename="croppedFrontImage.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedBackImage"; filename="croppedBackImage.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="faceImage"; filename="faceImage.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedFrontImage2"; filename="croppedFrontImage2.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedBackImage2"; filename="croppedBackImage2.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="faceImage2"; filename="faceImage2.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedFrontImage3"; filename="croppedFrontImage3.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="croppedBackImage3"; filename="croppedBackImage3.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="faceImage3"; filename="faceImage3.jpeg"
Content-Type: image/jpeg

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt
Content-Disposition: form-data; name="addressProofDocument"; filename="addressProofDocument.pdf"
Content-Type: application/pdf

--S1SPHauV7jaDgqMljnwfF-gQ2I1AcxAYrwgCt--

```

{% endtab %}

{% tab title="400 The request contains an invalid data." %}
{% tabs %}
{% tab title="Missing Verification ID" %}

```json
{
  "errorCode": "MISSING_REQUEST_PARAMETER",
  "errorDescription": "Required 'verificationId' parameter is missing"
}
```

{% endtab %}

{% tab title="Invalid Verification ID" %}

```json
{
  "errorCode": "INVALID_REQUEST_PARAMETER",
  "errorDescription": "Parameter 'verificationId' has an invalid value"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401 Full authentication is required to get the verification result." %}
{% tabs %}
{% tab title="Missing API Keys" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "errorCode": "API_KEYS_MISSING",
  "errorMessage": "No API Keys in the Authorization header"
}
</code></pre>

{% endtab %}

{% tab title="Invalid API Keys" %}

```json
{
  "errorCode": "API_KEYS_INVALID",
  "errorMessage": "Invalid API Keys in the Authorization header"
}
```

{% endtab %}

{% tab title="Bad API Keys" %}

```json
{
  "errorCode": "API_KEYS_BAD",
  "errorMessage": "Bad API Keys"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403 Your account is deactivated and you can't get the verification result." %}

```json
{
  "errorCode": "ACCOUNT_DEACTIVATED",
  "errorMessage": "Account deactivated. Please contact your Authenteq Sales Representative in order to keep using this service"
}
```

{% endtab %}

{% tab title="404 No verification with the given ID, as it never existed and removed already." %}

```json
json
```

{% endtab %}
{% endtabs %}

## Get Verification Result Details as PDF

<mark style="color:blue;">`GET`</mark> `https://api.app.authenteq.com/export/verification-result-as-pdf`

This endpoint returns the verification result details extracted from the user document during identification previously, now accessible by the assigned `ID` and represented as PDF file.\
\
This endpoint is authorized with Basic Auth. You should use your `Client ID` and `Client Secret` from the Customer Dashboard as the credentials.

#### Query Parameters

| Name                                             | Type   | Description                                                                     |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------------------- |
| verificationId<mark style="color:red;">\*</mark> | string | The id field extracted from the verification result details you got previously. |

#### Headers

| Name                                             | Type   | Description                                                                                         |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | string | Your client credentials combined with a colon separator, base64-encoded and prefixed with "Basic ". |

{% tabs %}
{% tab title="200: OK The generated PDF file with the details extracted from the user document." %}

{% endtab %}

{% tab title="400: Bad Request The request contains an invalid data." %}
{% tabs %}
{% tab title="Missing Verification ID" %}

```json
{
  "errorCode": "MISSING_REQUEST_PARAMETER",
  "errorDescription": "Required 'verificationId' parameter is missing"
}
```

{% endtab %}

{% tab title="Invalid Verification ID" %}

```json
{
  "errorCode": "INVALID_REQUEST_PARAMETER",
  "errorDescription": "Parameter 'verificationId' has an invalid value"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401: Unauthorized Full authentication is required to get the verification result." %}
{% tabs %}
{% tab title="Missing API Keys" %}

```json
{
  "errorCode": "API_KEYS_MISSING",
  "errorMessage": "No API Keys in the Authorization header"
}
```

{% endtab %}

{% tab title="Invalid API Keys" %}

```json
{
  "errorCode": "API_KEYS_INVALID",
  "errorMessage": "Invalid API Keys in the Authorization header"
}
```

{% endtab %}

{% tab title="Untitled" %}

```json
{
  "errorCode": "API_KEYS_BAD",
  "errorMessage": "Bad API Keys"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="403: Forbidden Your account is deactivated and you can't get the verification result." %}

```json
{
  "errorCode": "ACCOUNT_DEACTIVATED",
  "errorMessage": "Account deactivated. Please contact your Authenteq Sales Representative in order to keep using this service"
}
```

{% endtab %}

{% tab title="404: Not Found No verification with the given ID, as it never existed and removed already." %}

```json
{
  "errorCode": "VERIFICATION_NOT_FOUND",
  "errorMessage": "Verification not found"
}
```

{% endtab %}
{% endtabs %}
